/////////////////////////////////////////////////
//Revolution Engine.
//by Technik
/////////////////////////////////////////////////

#include "REV.h"

MESH * PlaneMS(f32 width, f32 length)
{
	MESH * Plano = (MESH*)memalign(0x40, sizeof(MESH));
	if(!Plano) return NULL;
	Plano->NVerts = 4;
	Plano->NFaces = 2;
	Plano->Ncoords = 4;
	Plano->NNormals = 1;
	Plano->Vertices = (f32*)memalign(32, 12*sizeof(f32));
	Plano->Normales = (f32*)memalign(32, 3*sizeof(f32));
	Plano->Coordenadas = (f32*)memalign(32, 8*sizeof(f32));
	Plano->VList = (u16*)malloc(6*sizeof(u16));
	Plano->NList = (u16*)malloc(6*sizeof(u16));
	Plano->TList = (u16*)malloc(6*sizeof(u16));
	Plano->VList[0] = 0;
	Plano->VList[1] = 1;
	Plano->VList[2] = 2;
	Plano->VList[3] = 2;
	Plano->VList[4] = 3;
	Plano->VList[5] = 0;
	Plano->NList[0] = 0;
	Plano->NList[1] = 0;
	Plano->NList[2] = 0;
	Plano->NList[3] = 0;
	Plano->NList[4] = 0;
	Plano->NList[5] = 0;
	Plano->TList[0] = 0;
	Plano->TList[1] = 1;
	Plano->TList[2] = 2;
	Plano->TList[3] = 2;
	Plano->TList[4] = 3;
	Plano->TList[5] = 0;
	Plano->Normales[0] = 0.0;
	Plano->Normales[1] = 0.0;
	Plano->Normales[2] = 1.0;
	Plano->Vertices[0] = width/2.0; Plano->Vertices[1] = -length/2.0;Plano->Vertices[2] = 0.0;
	Plano->Vertices[3] = -width/2.0;Plano->Vertices[4] = -length/2.0;Plano->Vertices[5] = 0.0;
	Plano->Vertices[6] = -width/2.0;Plano->Vertices[7] = length/2.0; Plano->Vertices[8] = 0.0;
	Plano->Vertices[9] = width/2.0; Plano->Vertices[10] = length/2.0;Plano->Vertices[11] = 0.0;
	Plano->Coordenadas[0] = 0.0;
	Plano->Coordenadas[1] = 0.0;
	Plano->Coordenadas[2] = 1.0;
	Plano->Coordenadas[3] = 0.0;
	Plano->Coordenadas[4] = 1.0;
	Plano->Coordenadas[5] = 1.0;
	Plano->Coordenadas[6] = 0.0;
	Plano->Coordenadas[7] = 1.0;
	return Plano;
}
