/////////////////////////////////////////////////
//Revolution Engine.
//by Technik
/////////////////////////////////////////////////

#include "REV.h"//We Include Revolution Engine's main header file

int main()
{	
	//Initialization Code, Video, Pads, Wiimotes and Revolution Engine
	VIDEO_Init();
	PAD_Init();
	WPAD_Init();
	REV_Init();
	//here should go your Application Init Code
	/////////////////////////
	
	/////////////////////////
	//We create a Camera, a Camera is alwais needed for rendering
	CAMERA mCamera;
	mCamera.cam = (Vector){0.0, -100.0, 1.7};//Camera's Position in space
	mCamera.look = (Vector){0.0, 1.0, 1.7};//Camera's look at vector
	mCamera.up = (Vector){0.0, 0.0, 1.0};//Camera's Up Vector
	
	while(1) {//Main Loop
		
		WPAD_ScanPads();//Update Wiimote Information
		
		if(WPAD_ButtonsDown(0) & WPAD_BUTTON_HOME) exit(0);//if user pushed home, we go back to the loader
		//here should go your main loop code
		///////////////////////////////
		
		///////////////////////////////
		REV_Process(&mCamera);//This is the Function that makes all the magic
		//Calling REV_Process() at the end of your main loop does all the work. Easy, isn't it?
	}
}
