/////////////////////////////////////////////////
//Revolution Engine.
//by Technik
/////////////////////////////////////////////////
//trabajo con camaras
#ifndef REV_CAMS_H
#define REV_CAMS_H

#include "REV.h"

//Funciones
/****** Rotate Cam ******/
//Descripcion: Crea una nueva raiz que el motor puede utilizar, de momento no se soportan multiples raices
//Argumentos: Ninguno
//Devuelve: Puntero a la nueva raiz creada//

typedef struct REV_Camera{
	Vector cam,
			up,
		  look;
}CAMERA;

void UpdtCam(struct REV_Camera Camera, Mtx View);//Esta funcion la utiliza el Engine automaticamente, no tienes que llamarla
void MoveCam(struct REV_Camera * Camera, f32 front,f32  side,f32 up);
void RotateCam(struct REV_Camera * Camera, f32 pan, f32 tilt, f32 roll);
void RotateCamByAxis(struct REV_Camera * Camera, f32 x, f32 y, f32 z, f32 Angle);
#endif
