/////////////////////////////////////////////////
//Revolution Engine.
//by Technik
/////////////////////////////////////////////////
#include "REV.h"

struct REV_Image * AbrirImagen(const char * filename)
{
	IMAGE * Imagen = (struct REV_Image*)malloc(sizeof(struct REV_Image));
	void * texture_data1;
	PNGUPROP imgProp;
	IMGCTX ctx;
	ctx = PNGU_SelectImageFromDevice (filename);
	PNGU_GetImageProperties (ctx, &imgProp);
	texture_data1 = (void *)malloc(imgProp.imgWidth * imgProp.imgHeight * 4);
	PNGU_DecodeToRGBA8 (ctx, imgProp.imgWidth, imgProp.imgHeight, texture_data1, imgProp.imgWidth, 255);//Cf 1 again
	PNGU_ReleaseImageContext (ctx);
	Imagen->Height = imgProp.imgHeight;
	Imagen->Width = imgProp.imgWidth;
	Imagen->ImageData = texture_data1;
	return Imagen;
}
