/////////////////////////////////////////////////
//Revolution Engine.
//by Technik
/////////////////////////////////////////////////

#include "REV.h"

GXTexObj * CargarTextura(const char* filename)
{
	GXTexObj * texObj1 = (GXTexObj*)memalign(32, sizeof(GXTexObj));
	void * texture_data1 = NULL;
	PNGUPROP imgProp;
	IMGCTX ctx;
	ctx = PNGU_SelectImageFromDevice (filename);
	PNGU_GetImageProperties (ctx, &imgProp);
	texture_data1 = memalign (32, imgProp.imgWidth * imgProp.imgHeight * 4);
	GX_InitTexObj (texObj1, texture_data1, imgProp.imgWidth, imgProp.imgHeight, GX_TF_RGBA8, GX_MIRROR, GX_MIRROR, GX_FALSE);
	PNGU_DecodeTo4x4RGBA8 (ctx, imgProp.imgWidth, imgProp.imgHeight, texture_data1, 255);
	PNGU_ReleaseImageContext (ctx);
	DCFlushRange (texture_data1, imgProp.imgWidth * imgProp.imgHeight * 4);
	return texObj1;
}

struct REV_Material * NewMat(GXTexObj * Textura)
{
	struct REV_Material * TMat = (struct REV_Material *)memalign(32, sizeof(struct REV_Material));
	TMat->Textura = Textura;
	TMat->utile = 1.0;
	TMat->vtile = 1.0;
	return TMat;
}
